Get a single NPS response
curl --request GET \
--url https://clientapi.woku.app/v1/nps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/nps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/nps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseChannel": "<string>",
"_id": "<string>",
"score": 5,
"category": "promoter",
"anonymous": true,
"npsToolId": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"textnote": {
"description": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"voicemail": {
"transcription": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}NPS
Get a single NPS response
GET
/
v1
/
nps
/
{id}
Get a single NPS response
Authorizations
Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.
Path Parameters
NPS response id
Response
NPS response
An NPS response. Client contact data is never included; clientId is a reference only.
Inbound response channel (whatsapp | email | review-app | widget-web | mobile-sdk | api, or a user-defined string). Null on historical responses.
Required range:
0 <= x <= 10Available options:
promoter, passive, detractor Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I